:root {
  --font: "Inter", -apple-system, BlinkMacSystemFont, "Segoe UI", sans-serif;

  --text-primary: #ebecf0;
  --text-secondary: #aeb2bd;
  --primary: #ff000b;
}

*,
*::before,
*::after {
  box-sizing: border-box;
  border: none;
  outline: none;
  margin: 0;
  padding: 0;
  color: var(--text-primary);
  list-style: none;
  text-decoration: none;
}

html {
  font-family: var(--font);
  scroll-behavior: smooth;
}

body {
  display: flex;
  align-items: center;
  flex-direction: column;
}

.primary-bg {
  position: fixed;
  z-index: 2;
  background-image: url("/assets/gradient.png");
  background-repeat: no-repeat;
  background-position: top;
  background-size: cover;
  height: 600px;
  left: 0;
  aspect-ratio: 16/9;
  top: 0;
}

.layout {
  position: relative;
  z-index: 6;
  display: flex;
  width: 100%;
  flex-direction: column;
  align-items: center;
}

.secondary-bg {
  position: fixed;
  z-index: 1;
  width: 100%;
  height: 100%;

  background: radial-gradient(
    88.63% 120.52% at 117.22% 66.37%,
    #fff6e8 0%,
    #b0220c 21.51%,
    #000 58.87%,
    #000 100%
  );
}

header {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.root-wrapper {
  max-width: 1440px;
  width: 100%;
  padding: 18px 120px;
}

.logo {
  display: flex;
  align-items: center;
  gap: 8px;
}
.logo > .logo-dot {
  background: var(--primary);
  box-shadow: 0px 0px 11.44px 2.29px #ff000bcc;
  border-radius: 50%;
  display: block;
  width: 16px;
  height: 16px;
}

.logo > .logo-words > :nth-child(1) {
  text-transform: uppercase;
  color: var(--primary);
  font-style: italic;
  font-weight: bold;
}

.logo > .logo-words > :nth-child(2) {
  text-transform: uppercase;
  font-style: italic;
  font-weight: bold;
}
.logo > .logo-words > :nth-child(3) {
  text-transform: uppercase;
  font-weight: 200;
}

.main-article {
  display: flex;
  align-items: stretch;
  flex-direction: column;
}

.main-article > section > img {
  width: 590px;
  height: 400px;
}

.main-article > section > div {
  flex: 1;
}

.main-article > section h1 {
  font-size: 64px;
  font-style: normal;
  font-weight: 700;
}

.main-article > section h2 {
  font-size: 32px;
  font-weight: 700;
  line-height: 42px;
}

.main-article > section {
  display: flex;
  align-items: center;
  gap: 124px;
}

.main-article {
  gap: 80px;
}

.main-article > section > div {
  gap: 32px;
  display: flex;
  flex-direction: column;
}
.main-article > section > div:has(h1) {
  gap: 40px;
}
.main-article > section > div li {
  position: relative;
}
.main-article > section > div:has(h1) li::before {
  content: "";
  width: 4px;
  height: 4px;
  border-radius: 99999px;
  background-color: currentColor;
  display: block;
  position: absolute;
  left: -16px;
  top: 8px;
}

.main-article > section > div:has(h2) li::before {
  content: "";
  position: absolute;
  display: block;
  width: 20px;
  height: 20px;
  left: -32px;
  background-image: var(--icon);
}

.main-article a,
.ex-link {
  display: flex;
  align-self: flex-start;
  padding: 16px 24px;
  justify-content: center;
  align-items: center;
  gap: 12px;
  border-radius: 32px;
  background: #f23005;
  box-shadow: 0 0 11.439px 2.288px rgba(255, 0, 11, 0.8);
}

.main-article ul {
  padding-left: 32px;
}

.main-article li {
  margin-bottom: 16px;
}

.main-article > section:nth-child(even) {
  flex-direction: row-reverse;
}

.footer.root-wrapper nav {
  display: flex;
  font-size: 14px;
  gap: 12px;
}

.footer.root-wrapper {
  display: flex;
  flex-direction: row;
  padding: 100px 120px;
  align-items: flex-end;
  justify-content: space-between;
  gap: 24px;
  position: relative;
}

.footer.root-wrapper .content {
  max-width: 488px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.footer.root-wrapper .content > p {
  color: var(--text-secondary);
}

.footer.root-wrapper .content > p a {
  color: var(--primary);
  text-decoration: underline;
}

.footer-line {
  position: absolute;
  top: 0;
  width: 100vw;
  height: 1px;
  left: calc(((100vw - 100%) / 2 * -1));
  background-color: #525357;
}

main.root-wrapper {
  padding-top: 100px;
  padding-bottom: 120px;
}

.docs-article section :where(h1, h2) {
  color: var(--text-primary);
}
.docs-article section,
.docs-article section > div {
  display: flex;
  flex-direction: column;
  gap: 40px;
  color: var(--text-secondary);
}
.docs-article section ul {
  padding-left: 24px;
}
.docs-article section ul li {
  list-style: disc;
  line-height: 32px;
  color: var(--text-secondary);
}
.docs-article section p {
  color: inherit;
  line-height: 32px;
}

.docs-article section p a {
  color: var(--primary);
  text-decoration: underline;
}

.docs-article .upd-info {
  display: flex;
  flex-direction: column;
  gap: 0;
  font-style: italic;
}

.docs-article .home-link {
  color: var(--primary);
}

@media screen and (max-width: 1239px) {
  .main-article {
    gap: 40px;
  }
  .primary-bg {
    height: 300px;
  }
  .main-article > section h1 {
    font-size: 42px;
    line-height: 56px;
  }
  .main-article > section h2 {
    font-size: 24px;
    line-height: 32px;
  }
  .main-article > section {
    flex-direction: column !important;
    align-items: center;
    gap: 60px;
    align-items: flex-start;
  }
  .main-article > section > div {
    gap: 20px;
  }
  .main-article > section > img {
    max-width: 100%;
    align-self: center;
    height: fit-content;
  }
  header {
    justify-content: center;
  }
  header .ex-link {
    display: none;
  }
  .root-wrapper {
    padding: 18px 32px;
  }
  .footer.root-wrapper {
    flex-direction: column;
    align-items: flex-start;
    gap: 40px;
    padding: 52px 32px;
  }
  .footer.root-wrapper nav {
    flex-direction: column;
    gap: 16px;
  }
  .layout {
    align-items: stretch;
  }

  main.root-wrapper {
    padding-top: 40px;
  }
}
